Page MenuHomePhabricator

archivebot.py doesn't support Global arguments
Closed, ResolvedPublic

Description

Originally from: http://sourceforge.net/p/pywikipediabot/bugs/1481/
Reported by: Anonymous user
Created on: 2012-06-30 17:48:33
Subject: archivebot.py doesn't support Global arguments
Original description:
http://www.mediawiki.org/wiki/Manual:Pywikipediabot/archivebot.py suggests archivebot.py can use global arguments such as -family: and -lang:

It doesn't and I feel this would be an improvement.


Version: unspecified
Severity: normal
See Also:
https://sourceforge.net/p/pywikipediabot/bugs/1481

Details

Reference
bz55187

Event Timeline

bzimport raised the priority of this task from to Needs Triage.
bzimport set Reference to bz55187.
bzimport added a subscriber: Unknown Object (????).
Legoktm created this task.Oct 5 2013, 4:39 AM

Pywikipedia \[http\] trunk/pywikipedia \(r10432, 2012/06/30, 15:47:55\)
Python 2.7.3 \(default, Apr 10 2012, 23:31:26\) \[MSC v.1500 32 bit \(Intel\)\]
config-settings:
use\_api = True
use\_api\_login = True
unicode test: ok

The main documentation is the script itself, just run archivebot.py. I've corrected that wrong part at mw. Nevertheless the option handling of archivebot should be adapted to the general standard of the other scripts and should also enable global options as well.

  • status: open --> open-accepted
whym added a comment.Dec 18 2013, 8:17 AM

Do I97b14b21f3c4c73183f85473926e0b204c4f1abd and Ia747df50b5736805b0cb1bbfdc2f5d1db180252a fix this bug? The former has been merged and the latter is waiting for review.

Change 101002 had a related patch set uploaded by Whym:
(bugzilla 55187) archivebot.py: proper handling of command line args

https://gerrit.wikimedia.org/r/101002

Change 101002 merged by jenkins-bot:
(bug 55187) archivebot.py: proper handling of command line args

https://gerrit.wikimedia.org/r/101002

Restricted Application added a subscriber: Cyberpower678. · View Herald TranscriptJun 29 2018, 3:18 PM